@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
  --primaryColor: #7EBFB3;
  --secondaryColor: #194759;
  --terciaryColor: #001943;
  --ctaBackground: linear-gradient(90deg, #6EDC87 0%, #776CF6 100%);
  --green: #6EDC87;
  --ff-primary: 'Poppins';
}

body {
  margin: 0;
  padding: 0 !important;
  font-family: var(--ff-primary), sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 16px;
  overflow-x: hidden !important;
  text-wrap: balance;
  color: var(--terciaryColor);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-smooth: never;
}

html, body {
    overflow-x: hidden;
}

a:hover {
  color: var(--terciaryColor);
}

#section-ads {
  display: flex;
  justify-content: center;
  width: 100%;
}

#section-ads a {
  width: unset;
  padding: 20px;
}

/* header */
.header {
  width: 100%;
  min-height: 550px;
  position: relative;
  background: radial-gradient(48.33% 25.17% at 16.32% 12.73%,
      rgba(255, 255, 255, 0.15) 0%,
      rgba(0, 0, 0, 0.30) 100%), url('/img/hero.png');
  background-size: cover;
  background-position: top;
  background-repeat: no-repeat;

  display: flex;
  align-items: center;
  justify-content: center;
  color: #ffffff;
}

#header-content {
  position: relative;
  text-align: left;
  padding: 50px 0;
}

#header-txt {
  max-width: 590px;
  margin-top: 40px;
}

#header-txt img {
  max-width: 340px;
  margin-bottom: 115px;
}

#header-txt h1 {
  color: #FFF;
  font-size: 50px;
  font-weight: 300;
  margin: 0 0 60px;
  line-height: 1.2;
}

#header-txt h1 b {
  font-weight: 700;
}

#header-txt h4 {
  color: #FFF;
  font-size: 30px;
  font-weight: 300;
  line-height: 1.3;
  margin: 10px 0 30px 0;
}

#header-txt h4 span {
  font-weight: 700;
}

/* form */
.form-body {
  box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.16);
  background-color: rgba(241, 247, 255, 0.85);
  width: 100%;
  margin: 0 auto;
  text-align: center;
}

.form-title {
  padding: 25px;
  margin: 0;
  background: var(--gradiente, linear-gradient(90deg, #6EDC87 0%, #776CF6 100%));
  color: #fff;
  font-size: 20px;
  font-weight: 400;
}

#contactform {
  padding: 35px 25px 0;
  margin-bottom: 26px;
}

.form-input {
  margin-bottom: 8px;
  padding: 0;
  width: 100%;
}

.inputs__wrapper {
  display: flex;
  gap: 8px;
  padding: 0;
}

.form-input select,
.form-input input {
  border-radius: 8px;
  border: none;
  background-color: #fff;
  padding: 13px 15px;
  padding-left: 38px;
  font-size: 15px;
  line-height: 20px;
  background-position: 10px;
  background-repeat: no-repeat;
  background-size: 25px;
  color: #000000;
  width: 100%;
  -webkit-appearance: none;
}

.form-input select {
  padding: 13px 15px;
  padding-left: 40px;
}

.form-input #fatura {
  background-image: url(/img/icons/fatura.svg);
  background-size: 18px;
  background-position: 12px;
}
.form-input #instalacao_eletrica {
  background-image: url(/img/icons/instalacao_eletrica.svg);
  background-size: 18px;
  background-position: 12px;
}

.form-input select option {
  color: #000000;
}

.form-input input::placeholder {
  color: #000000;
  padding-left: 3px;
}

.form-input #nome,
.form-input #sobrenome {
  background-image: url(/img/icons/form_icon_name.svg);
  background-size: 12px;
  background-position: 15px;
}

.form-input #email {
  background-image: url(/img/icons/form_icon_email.svg);
  background-size: 18px;
  background-position: 12px;
}

.form-input #telefone {
  background-image: url(/img/icons/form_icon_tele.svg);
  background-position: 15px;
  background-size: 18px;
}

.form-input #postal,
.form-input #city,
.form-input #street {
  background-image: url(/img/icons/form_icon_postal.svg);
  background-size: 20px;
  background-position: left 12px center;
}

.form-input #morada {
  background-image: url(/img/icons/form_icon_house.svg);
  background-size: 20px;
  background-position: left 12px center;
}

.error {
  font-size: 13px;
  color: red;
}

.terms {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

/*Term animation */
.termContainer {
  font-size: 12px;
  color: var(--terciaryColor);
  margin-top: 8px;
  cursor: pointer;
}

.termContainer a {
  color: var(--terciaryColor);
}

.termContainer input {
  display: none;
}

.termContainer svg {
  overflow: visible;
  max-height: 15px;
  max-width: 15px;
  margin-right: 5px;
  margin-top: 1px;
  vertical-align: baseline;
  translate: 0 2px;
}

.path {
  fill: none;
  stroke: black;
  stroke-width: 5px;
  stroke-linecap: round;
  stroke-linejoin: round;
  transition: stroke-dasharray 0.5s ease, stroke-dashoffset 0.5s ease;
  stroke-dasharray: 241 9999999;
  stroke-dashoffset: 0;
}

.termContainer input:checked~svg .path {
  stroke-dasharray: 70.5096664428711 9999999;
  stroke-dashoffset: -262.2723388671875;
}

.form-button {
  width: 100%;
  max-width: 335px;
  border-radius: 0;
  height: 65px;
  background: var(--terciaryColor);
  color: #fff;
  font-size: 25px;
  font-weight: 700;
  border: none;
  margin: 20px 0;
  text-transform: uppercase;
  transition: all 0.3s ease-in;
}

.form-button:hover,
#cta button:hover {
  background: linear-gradient(90deg, #6EDC87 0%, #776CF6 100%);
  color: #fff;
}


/*Section 1*/
#section1 {
  background: #F4F4FF;
  padding: 80px 0;
}

#section1 h1 {
  color: var(--terciaryColor);
  text-align: center;
  font-size: 35px;
  font-style: normal;
}

#section1 h1 span {
  color: var(--terciaryColor);
  font-weight: 700;
}

#section1 h5 {
  width: 250px;
  font-weight: 400;
  color: var(--terciaryColor);
  font-size: 25px;
  margin: 0;
}

.sec1Icons {
  margin-top: 45px;
}

.sec1Icons div {
  display: flex;
  text-align: center;
  flex-direction: column;
  align-items: center;
}

.sec1Icons img {
  text-align: center;
  max-width: 100px;
  margin-bottom: 25px;
  transition: all 0.6s ease;
}

.sec1Icons img:hover {
  scale: 1.1;
}

/*Section 2*/
#section2 {
  padding-bottom: 110px;
  background-color: #F4F4FF;
}

.circle1 {
  position: absolute;
  top: -50%;
  left: -50%;
  width: 100%;
  height: 100%;
  object-fit: fill;
  z-index: 0;
}

.circle2 {
  position: absolute;
  top: 50%;
  left: 40%;
  width: 90%;
  height: 90%;
  z-index: 0;
}

.sec2Img {
  position: relative;
  z-index: 0;
}

.card {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  line-height: 1.6;
  transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.card-content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 60px 60px 20px;
  border-radius: 0;
  color: #ffffff;
  overflow: hidden;
  background: var(--terciaryColor);
  transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.card-content::before,
.card-content::after {
  position: absolute;
  content: "";
  top: 0;
  left: 50%;
  width: 90%;
  height: 90%;
  transform: translateX(-50%);
  background: var(--green);
  opacity: 0.6;
  z-index: -1;
  transform-origin: bottom;
  border-radius: inherit;
  transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
  will-change: transform;
}

.card-content::after {
  width: 80%;
  height: 80%;
  background: #776CF6;
  opacity: 0.5;
  z-index: -2;
  transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
  will-change: transform;
}

.card:hover {
  transform: translate(0px, -16px);
}

.card:hover .card-content::before {
  transform: translateX(-50%) rotate(-8deg);
  width: 100%;
  height: 100%;
}

.card:hover .card-content::after {
  transform: translateX(-50%) rotate(8deg);
  width: 100%;
  height: 100%;
}

.card-content h1 {
  width: 480px;
  font-weight: 300;
  font-size: 35px;
  margin-bottom: 50px;
}

.card-content h1 span {
  font-weight: 700;
}

.card-content li {
  font-size: 18px;
  font-weight: 300;
  line-height: 1.2;
  margin-bottom: 15px;
}

.card-content li b {
  font-weight: 700;
}

/*Footer/CTA*/
#cta {
  padding: 50px 0;
  background: linear-gradient(90deg, #6EDC87 0%, #776CF6 100%);
}

#cta h1 {
  color: #FFF;
  font-size: 35px;
  margin: 0;
  font-weight: 700;
}

#cta button {
  background-color: var(--terciaryColor);
  color: #fff;
  font-size: 25px;
  font-style: normal;
  font-weight: 700;
  width: 330px;
  border: none;
  outline: none;
  height: 65px;
  text-transform: uppercase;
  transition: all 0.6s ease-in;
}

#cta button:hover {
  background-color: var(--ctaBackground);
  color: #fff;
}

.ty-body {
    padding: 45px 20px;
}

.ty-title {
    margin: 0;
    color: var(--terciaryColor);
    font-size: 32px;
    font-weight: 700;
    margin-bottom: 20px;
}

.ty-text, .ty-message {
    margin: 0;
    color: var(--terciaryColor);
    font-size: 20px;
}

.ty-message {
    font-weight: 700;
}

.ty-img {
    height: 90px;
    width: 50%;
    margin-block: 20px;
}

@media (max-width: 991px) {
  #header-txt h1 {
    font-size: 35px;
  }

  #header-txt h4 {
    font-size: 28px;
  }

  .sec1Icons {
    gap: 20px;
    justify-content: space-around;
  }

  .sec2Img {
    width: 100%;
    translate: 0 1px;
  }

  .col-12.col-md-12.col-lg-6.d-flex {
    justify-content: center;
  }

  .circle2 {
    height: 70%;
    width: 70%;
    top: 65%;
    left: 65%;
  }

  .card-content {
    padding: 60px 0 0;
  }

  .card-content h1 {
    max-width: 550px;
    text-align: center;
  }

  #section2 {
    padding-bottom: 60px;
  }

  .card-content h1,
  .card-content ul {
    font-size: 25px;
    width: 80%;
    margin: 0 auto 40px;
  }

  .card-content li {
    font-size: 14px;
  }

  .sec1Icons img {
    height: 62px;
  }

  .circle2 {
    display: none;
  }

  #cta button {
    max-width: 100%;
    width: 100%;
  }

  .footer-wrapper {
    display: flex;
    flex-direction: column;
    gap: 45px;
    text-align: center;
  }

}

@media (max-width: 768px) {

  #header-txt {
    text-align: center;
  }

  #header-txt img {
    margin-bottom: 40px;
  }

  .inputs__wrapper {
    flex-direction: column;
    gap: 0;
  }
}

@media (max-width: 500px) {
  #header-txt h1 {
    font-size: 28px;
  }

  #header-txt h4 {
    font-size: 24px;
  }

  #header-txt img {
    height: 90px;
  }

  .form-button {
    font-size: 20px;
    height: 60px;
  }

  #section1 h1 {
    font-size: 26px;
  }

  #section1 h5 {
    font-size: 18px;
  }

  #cta h1 {
    font-size: 25px;
  }

  #cta button {
    font-size: 20px;
    max-width: 285px;
    height: 55px;
  }
  
  .ty-body {
    padding: 35px 20px;
  }
  .ty-title {
    font-size: 28px;
  }
  .ty-text, .ty-message {
    font-size: 16px; 
  }
}